Subject: Re: [PATCH 1/1] ppc64: fix build error when compiling with gcc-4.6.0

From: Stratos Psomadakis <[email-masked]>
Date: Mon, 18 Apr 2011 19:51:56 +0300

On 18/04/2011 07:38 μμ, Stratos Psomadakis wrote:
> variable 'old' is set but not used, which results to a warning
> (-Werror=unused-but-set-variable) when compiling with gcc-4.6.0, and subsequent
> build failure.
> Remove the variable 'old', since it's not used anyway.
Something went wrong with git-send-email :/

So I send the first mail in the chain as a reply:

The build error was reported at the Gentoo Bugzilla [1].

When compiling with gcc-4.6.0, a build error occurs: 
"variable ‘old’ set but not used [-Werror=unused-but-set-variable]
cc1: all warnings being treated as errors"

This patch removes the unnecessary assignments to the variable 'old', which cause
the compiler warning (used but not set), and build failure, and remove the variable completely.
I think it's ok to do that, since the variable is actually never used. Right?
(of course disabling CONFIG_PPC_WERROR would resolve the build failure, but cleaning up the code a bit, is better I think).

[1] https://bugs.gentoo.org/show_bug.cgi?id=363935

-- 
Stratos Psomadakis
<[email-masked]>